Subject: Re: bug#4671: `read-passwd' does not recognize keypad enter key

From: Michael Ernst <[email-masked]>
Date: Tue, 13 Oct 2009 16:25:29 -0700 (PDT)

> Which version of Emacs is that?
> I've installed a few weeks ago a patch that makes read-passwd use the
> read-key rather than read-char, so AFAIK such problems should have
> been fixed.

My patch was against the latest CVS version.  (I would have mentioned the
version otherwise, but I should have mentioned it even then; sorry for the
omission.)

I noticed the problem in Debian's emacs-snapshot package:

GNU Emacs 23.1.50.1 (i486-pc-linux-gnu, GTK+ Version 2.16.1) of 2009-07-31 on lansones, modified by Debian

                    -Michael Ernst